org.apache.felix.scrplugin.bnd

## Class SCRDescriptorBndPlugin

- java.lang.Object
- - org.apache.felix.scrplugin.bnd.SCRDescriptorBndPlugin

All Implemented Interfaces:
  aQute.bnd.service.AnalyzerPlugin, aQute.bnd.service.Plugin

    public class SCRDescriptorBndPlugin
    extends Object
    implements aQute.bnd.service.AnalyzerPlugin, aQute.bnd.service.Plugin

The `SCRDescriptorBndPlugin` class is a `bnd` analyzer plugin which generates a service descriptor file based on annotations found in the sources.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`SCRDescriptorBndPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `analyzeJar(aQute.bnd.osgi.Analyzer analyzer)` Scan scr or ds annotation from the target jar.
`void` `setProperties(Map<String,String> map)` Sets properties which can be specified in the "-plugin" directive.
`void` `setReporter(aQute.service.reporter.Reporter reporter)` Sets the reporter for logging into the bnd logger.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SCRDescriptorBndPlugin

    public SCRDescriptorBndPlugin()

### Method Detail

#### setReporter

    public void setReporter(aQute.service.reporter.Reporter reporter)

Sets the reporter for logging into the bnd logger.

Specified by:
  `setReporter` in interface `aQute.bnd.service.Plugin`

#### setProperties

    public void setProperties(Map<String,String> map)

Sets properties which can be specified in the "-plugin" directive. For example: -plugin org.apache.felix.scrplugin.bnd.SCRDescriptorBndPlugin;destdir =target/classes

Specified by:
  `setProperties` in interface `aQute.bnd.service.Plugin`

#### analyzeJar

    public boolean analyzeJar(aQute.bnd.osgi.Analyzer analyzer)
                       throws Exception

Scan scr or ds annotation from the target jar.

Specified by:
  `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
Throws:
  `Exception`